import sys
import os

# Get the directory containing the src directory
src_path = os.path.abspath(os.path.join(os.path.dirname(__file__), '../src'))
# Add src directory to the system path
sys.path.append(src_path)

from Member import Member, MemberController
from datetime import date
import sqlite3


def test():
    connection = sqlite3.connect('library.db')


    member = Member(1, 'a', 'b', 'c', 'd', 'e', 1)
    member2 = Member(2, 'g', 'h', 'i', 'j', 'k', 2)
    member3 = Member(3, 'l', 'm', 'n', 'o', 'p', 3)

    member_controller = MemberController(connection)

    member_controller.addMember(member)
    member_controller.addMember(member2)
    member_controller.addMember(member3)

    mem = member_controller.getMember(2)
    print("Member Details:", mem)
    member_controller.removeMember(2)
    members = member_controller.displayMember()
    for i in members:
        print(i)

    member_controller.editMember(3, '2', '3', '4', '5', '6', 7)
    members = member_controller.displayMember()
    for i in members:
        print(i)

    connection.close()

    return

test()