import sys
import os

# Get the directory containing the src directory
src_path = os.path.abspath(os.path.join(os.path.dirname(__file__), '../src'))
# Add src directory to the system path
sys.path.append(src_path)

from Loan import Loan, LoanController
from datetime import date
import sqlite3


def test():
    connection = sqlite3.connect('library.db')

    peminjaman = Loan(2, '978-3-16-148410-0', 12345, date(2024, 5, 1), date(2024, 5, 14))

    loan_controller = LoanController(connection)

    loan_controller.addLoan(peminjaman)

    loan = loan_controller.getLoan(2)
    print("Loan Details:", loan)

    loans = loan_controller.displayLoan()
    for loan in loans:
        print(loan)

    loan_controller.editLoan(2, date(2024, 5, 2), date(2024, 5, 15))

    loan_controller.returnBook(2)

    connection.close()
